RDGeom::GridException Class Reference

`#include <Grid3D.h>`

Inheritance diagram for RDGeom::GridException:

## Public Member Functions

| GridException (const char *msg)
| construct with an error message More...
| GridException (const std::string &msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~GridException () throw ()

## Detailed Description

Definition at line 22 of file Grid3D.h.

## Constructor & Destructor Documentation

## GridException() [1/2]

RDGeom::GridException::GridException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 25 of file Grid3D.h.

## GridException() [2/2]

RDGeom::GridException::GridException | ( | const std::string & | msg | ) |

inline

construct with an error message

Definition at line 27 of file Grid3D.h.

## ~GridException()

RDGeom::GridException::~GridException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 30 of file Grid3D.h.

## Member Function Documentation

## message()

const char* RDGeom::GridException::message | ( |  | ) | const

inline

get the error message

Definition at line 29 of file Grid3D.h.

The documentation for this class was generated from the following file:

- Grid3D.h